import request from '@/utils/request'

// 查询地上消火栓检查记录列表
export function listPostFire(query) {
  return request({
    url: '/fire/postFire/list',
    method: 'get',
    params: query
  })
}

// 查询地上消火栓检查记录详细
export function getPostFire(id) {
  return request({
    url: '/fire/postFire/' + id,
    method: 'get'
  })
}

// 新增地上消火栓检查记录
export function addPostFire(data) {
  return request({
    url: '/fire/postFire',
    method: 'post',
    data: data
  })
}

// 修改地上消火栓检查记录
export function updatePostFire(data) {
  return request({
    url: '/fire/postFire',
    method: 'put',
    data: data
  })
}

// 删除地上消火栓检查记录
export function delPostFire(id) {
  return request({
    url: '/fire/postFire/' + id,
    method: 'delete'
  })
}
